Subject: Re: [PATCH 7/32] powerpc: Make pci_read_irq_line the default

From: Zang Roy-r61911 <[email-masked]>
Date: 14 Nov 2006 12:20:30 +0800

On Sat, 2006-11-11 at 14:24, Benjamin Herrenschmidt wrote:
> This patch reworks the way IRQs are fixed up on PCI for arch powerpc.
> 
> It makes pci_read_irq_line() called by default in the PCI code for
> devices that are probed, and add an optional per-device fixup in
> ppc_md for platforms that really need to correct what they obtain
> from pci_read_irq_line().
> 
> It also removes ppc_md.irq_bus_setup which was only used by pSeries
> and should not be needed anymore.
> 
> I've also removed the pSeries s7a workaround as it can't work with
> the current interrupt code anyway. I'm trying to get one of these
> machines working so I can test a proper fix for that problem.
> 
> I also haven't updated the old-style fixup code from 85xx_cds.c
> because it's actually buggy :) It assigns pci_dev->irq hard coded
> numbers which is no good with the new IRQ mapping code. It should
> at least use irq_create_mapping(NULL, hard_coded_number); and possibly
> also set_irq_type() to set them as level low.
> 
> Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> 

>  arch/powerpc/platforms/embedded6xx/mpc7448_hpc2.c |   16 ++-----
>  

Paul
	I checked your updated git tree just now.
	I have seen that you applied Ben's patch on mpc7448hpc2 platform about
the "pci_read_irq_line".
	Could you discard this part in Ben's patch and apply mine:

http://ozlabs.org/pipermail/linuxppc-dev/2006-October/027295.html
http://ozlabs.org/pipermail/linuxppc-dev/2006-October/027340.html
	
	Ben must forget this part of patch in his new serial patches.
	Thanks.
Roy